path: /build/build/kpty-kde-frameworks-5-5.111.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -test" emerge kde-frameworks/kpty:5 -pv -t && \
    USE="-doc -test" emerge -j ${JOBS} --nodeps kde-frameworks/kpty:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kpty && luet-portage --dir /pkgdir/kpty
    kde-frameworks/kpty:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a0e65d32f8529fbaeee0cea6557481b44588d963a7462bb0acd94dce5dd28f1b
  package:
    name: kpty
    version: 5.111.0
    category: kde-frameworks-5
    use_flags:
    - -doc
    - -test
    requires:
    - name: kwin
      version: '>=0'
      category: kde-plasma-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Framework for pseudo terminal devices and running child processes
    uri:
    - https://kde.org/
    license: LGPL-2+
    buildtimestamp: 2024-02-12 16:02:20.573149321 +0000 UTC m=+187.842093882
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.111:5
        doc? ( >=dev-qt/qthelp-5.11.1:5 >=app-doc/doxygen-1.8.13-r1 )
      DEPEND: '>=kde-frameworks/kcoreaddons-5.111:5 >=kde-frameworks/ki18n-5.111:5
        sys-libs/libutempter dev-util/desktop-file-utils x11-misc/shared-mime-info
        test? ( >=dev-qt/qttest-5.11.1:5 ) >=dev-qt/qtcore-5.11.1:5 doc? ( >=dev-qt/qt-docs-5.11.1:5
        ) dev-util/desktop-file-utils'
      IUSE: debug doc test
      RDEPEND: '>=kde-frameworks/kcoreaddons-5.111:5 >=kde-frameworks/ki18n-5.111:5
        sys-libs/libutempter >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.111:5
        kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.11.1:5 doc? ( >=dev-qt/qt-docs-5.11.1:5
        )'
      emerge.packages: kde-frameworks/kpty:5
      kit: kde-kit
      original.package.name: kde-frameworks/kpty
      original.package.slot: "5"
      original.package.version: 5.111.0
    treedir: /build/packages
  package_dir: /pkgdir/kpty
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 7ae40641c2901f5faa8e4f2c5332ee18fa39228cf396bd38db77a6fb8107a44e
compressiontype: zstd
files:
- usr/include/KF5/KPty/KPty
- usr/include/KF5/KPty/KPtyDevice
- usr/include/KF5/KPty/KPtyProcess
- usr/include/KF5/KPty/kpty.h
- usr/include/KF5/KPty/kpty_export.h
- usr/include/KF5/KPty/kpty_version.h
- usr/include/KF5/KPty/kptydevice.h
- usr/include/KF5/KPty/kptyprocess.h
- usr/lib64/cmake/KF5Pty/KF5PtyConfig.cmake
- usr/lib64/cmake/KF5Pty/KF5PtyConfigVersion.cmake
- usr/lib64/cmake/KF5Pty/KF5PtyTargets-gentoo.cmake
- usr/lib64/cmake/KF5Pty/KF5PtyTargets.cmake
- usr/lib64/libKF5Pty.so
- usr/lib64/libKF5Pty.so.5
- usr/lib64/libKF5Pty.so.5.111.0
- usr/lib64/qt5/mkspecs/modules/qt_KPty.pri
- usr/share/doc/kpty-5.111.0/README.md.bz2
- usr/share/locale/af/LC_MESSAGES/kpty5.mo
- usr/share/locale/ar/LC_MESSAGES/kpty5.mo
- usr/share/locale/as/LC_MESSAGES/kpty5.mo
- usr/share/locale/az/LC_MESSAGES/kpty5.mo
- usr/share/locale/be/LC_MESSAGES/kpty5.mo
- usr/share/locale/be@latin/LC_MESSAGES/kpty5.mo
- usr/share/locale/bg/LC_MESSAGES/kpty5.mo
- usr/share/locale/bn/LC_MESSAGES/kpty5.mo
- usr/share/locale/bn_IN/LC_MESSAGES/kpty5.mo
- usr/share/locale/br/LC_MESSAGES/kpty5.mo
- usr/share/locale/bs/LC_MESSAGES/kpty5.mo
- usr/share/locale/ca/LC_MESSAGES/kpty5.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/kpty5.mo
- usr/share/locale/crh/LC_MESSAGES/kpty5.mo
- usr/share/locale/cs/LC_MESSAGES/kpty5.mo
- usr/share/locale/csb/LC_MESSAGES/kpty5.mo
- usr/share/locale/cy/LC_MESSAGES/kpty5.mo
- usr/share/locale/da/LC_MESSAGES/kpty5.mo
- usr/share/locale/de/LC_MESSAGES/kpty5.mo
- usr/share/locale/el/LC_MESSAGES/kpty5.mo
- usr/share/locale/en_GB/LC_MESSAGES/kpty5.mo
- usr/share/locale/eo/LC_MESSAGES/kpty5.mo
- usr/share/locale/es/LC_MESSAGES/kpty5.mo
- usr/share/locale/et/LC_MESSAGES/kpty5.mo
- usr/share/locale/eu/LC_MESSAGES/kpty5.mo
- usr/share/locale/fa/LC_MESSAGES/kpty5.mo
- usr/share/locale/fi/LC_MESSAGES/kpty5.mo
- usr/share/locale/fr/LC_MESSAGES/kpty5.mo
- usr/share/locale/fy/LC_MESSAGES/kpty5.mo
- usr/share/locale/ga/LC_MESSAGES/kpty5.mo
- usr/share/locale/gd/LC_MESSAGES/kpty5.mo
- usr/share/locale/gl/LC_MESSAGES/kpty5.mo
- usr/share/locale/gu/LC_MESSAGES/kpty5.mo
- usr/share/locale/ha/LC_MESSAGES/kpty5.mo
- usr/share/locale/he/LC_MESSAGES/kpty5.mo
- usr/share/locale/hi/LC_MESSAGES/kpty5.mo
- usr/share/locale/hne/LC_MESSAGES/kpty5.mo
- usr/share/locale/hr/LC_MESSAGES/kpty5.mo
- usr/share/locale/hsb/LC_MESSAGES/kpty5.mo
- usr/share/locale/hu/LC_MESSAGES/kpty5.mo
- usr/share/locale/hy/LC_MESSAGES/kpty5.mo
- usr/share/locale/ia/LC_MESSAGES/kpty5.mo
- usr/share/locale/id/LC_MESSAGES/kpty5.mo
- usr/share/locale/is/LC_MESSAGES/kpty5.mo
- usr/share/locale/it/LC_MESSAGES/kpty5.mo
- usr/share/locale/ja/LC_MESSAGES/kpty5.mo
- usr/share/locale/ka/LC_MESSAGES/kpty5.mo
- usr/share/locale/kk/LC_MESSAGES/kpty5.mo
- usr/share/locale/km/LC_MESSAGES/kpty5.mo
- usr/share/locale/kn/LC_MESSAGES/kpty5.mo
- usr/share/locale/ko/LC_MESSAGES/kpty5.mo
- usr/share/locale/ku/LC_MESSAGES/kpty5.mo
- usr/share/locale/lb/LC_MESSAGES/kpty5.mo
- usr/share/locale/lt/LC_MESSAGES/kpty5.mo
- usr/share/locale/lv/LC_MESSAGES/kpty5.mo
- usr/share/locale/mai/LC_MESSAGES/kpty5.mo
- usr/share/locale/mk/LC_MESSAGES/kpty5.mo
- usr/share/locale/ml/LC_MESSAGES/kpty5.mo
- usr/share/locale/mr/LC_MESSAGES/kpty5.mo
- usr/share/locale/ms/LC_MESSAGES/kpty5.mo
- usr/share/locale/nb/LC_MESSAGES/kpty5.mo
- usr/share/locale/nds/LC_MESSAGES/kpty5.mo
- usr/share/locale/ne/LC_MESSAGES/kpty5.mo
- usr/share/locale/nl/LC_MESSAGES/kpty5.mo
- usr/share/locale/nn/LC_MESSAGES/kpty5.mo
- usr/share/locale/oc/LC_MESSAGES/kpty5.mo
- usr/share/locale/or/LC_MESSAGES/kpty5.mo
- usr/share/locale/pa/LC_MESSAGES/kpty5.mo
- usr/share/locale/pl/LC_MESSAGES/kpty5.mo
- usr/share/locale/ps/LC_MESSAGES/kpty5.mo
- usr/share/locale/pt/LC_MESSAGES/kpty5.mo
- usr/share/locale/pt_BR/LC_MESSAGES/kpty5.mo
- usr/share/locale/ro/LC_MESSAGES/kpty5.mo
- usr/share/locale/ru/LC_MESSAGES/kpty5.mo
- usr/share/locale/se/LC_MESSAGES/kpty5.mo
- usr/share/locale/si/LC_MESSAGES/kpty5.mo
- usr/share/locale/sk/LC_MESSAGES/kpty5.mo
- usr/share/locale/sl/LC_MESSAGES/kpty5.mo
- usr/share/locale/sq/LC_MESSAGES/kpty5.mo
- usr/share/locale/sr/LC_MESSAGES/kpty5.mo
- usr/share/locale/sr@ijekavian/LC_MESSAGES/kpty5.mo
- usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/kpty5.mo
- usr/share/locale/sr@latin/LC_MESSAGES/kpty5.mo
- usr/share/locale/sv/LC_MESSAGES/kpty5.mo
- usr/share/locale/ta/LC_MESSAGES/kpty5.mo
- usr/share/locale/te/LC_MESSAGES/kpty5.mo
- usr/share/locale/tg/LC_MESSAGES/kpty5.mo
- usr/share/locale/th/LC_MESSAGES/kpty5.mo
- usr/share/locale/tr/LC_MESSAGES/kpty5.mo
- usr/share/locale/tt/LC_MESSAGES/kpty5.mo
- usr/share/locale/ug/LC_MESSAGES/kpty5.mo
- usr/share/locale/uk/LC_MESSAGES/kpty5.mo
- usr/share/locale/uz/LC_MESSAGES/kpty5.mo
- usr/share/locale/uz@cyrillic/LC_MESSAGES/kpty5.mo
- usr/share/locale/vi/LC_MESSAGES/kpty5.mo
- usr/share/locale/wa/LC_MESSAGES/kpty5.mo
- usr/share/locale/xh/LC_MESSAGES/kpty5.mo
- usr/share/locale/zh_CN/LC_MESSAGES/kpty5.mo
- usr/share/locale/zh_HK/LC_MESSAGES/kpty5.mo
- usr/share/locale/zh_TW/LC_MESSAGES/kpty5.mo
- usr/share/qlogging-categories5/kpty.categories
- var/db/pkg/kde-frameworks/kpty-5.111.0/BDEPEND
- var/db/pkg/kde-frameworks/kpty-5.111.0/BUILD_TIME
- var/db/pkg/kde-frameworks/kpty-5.111.0/CATEGORY
- var/db/pkg/kde-frameworks/kpty-5.111.0/CBUILD
- var/db/pkg/kde-frameworks/kpty-5.111.0/CFLAGS
- var/db/pkg/kde-frameworks/kpty-5.111.0/CHOST
- var/db/pkg/kde-frameworks/kpty-5.111.0/CONTENTS
- var/db/pkg/kde-frameworks/kpty-5.111.0/COUNTER
- var/db/pkg/kde-frameworks/kpty-5.111.0/CXXFLAGS
- var/db/pkg/kde-frameworks/kpty-5.111.0/DEFINED_PHASES
- var/db/pkg/kde-frameworks/kpty-5.111.0/DEPEND
- var/db/pkg/kde-frameworks/kpty-5.111.0/DESCRIPTION
- var/db/pkg/kde-frameworks/kpty-5.111.0/EAPI
- var/db/pkg/kde-frameworks/kpty-5.111.0/FEATURES
- var/db/pkg/kde-frameworks/kpty-5.111.0/HOMEPAGE
- var/db/pkg/kde-frameworks/kpty-5.111.0/INHERITED
- var/db/pkg/kde-frameworks/kpty-5.111.0/IUSE
- var/db/pkg/kde-frameworks/kpty-5.111.0/IUSE_EFFECTIVE
- var/db/pkg/kde-frameworks/kpty-5.111.0/KEYWORDS
- var/db/pkg/kde-frameworks/kpty-5.111.0/LDFLAGS
- var/db/pkg/kde-frameworks/kpty-5.111.0/LICENSE
- var/db/pkg/kde-frameworks/kpty-5.111.0/NEEDED
- var/db/pkg/kde-frameworks/kpty-5.111.0/PF
- var/db/pkg/kde-frameworks/kpty-5.111.0/PROVIDES
- var/db/pkg/kde-frameworks/kpty-5.111.0/RDEPEND
- var/db/pkg/kde-frameworks/kpty-5.111.0/REQUIRES
- var/db/pkg/kde-frameworks/kpty-5.111.0/SIZE
- var/db/pkg/kde-frameworks/kpty-5.111.0/SLOT
- var/db/pkg/kde-frameworks/kpty-5.111.0/USE
- var/db/pkg/kde-frameworks/kpty-5.111.0/environment.bz2
- var/db/pkg/kde-frameworks/kpty-5.111.0/kpty-5.111.0.ebuild
- var/db/pkg/kde-frameworks/kpty-5.111.0/repository
package_cacheimage: ""
runtime:
  name: kpty
  version: 5.111.0
  category: kde-frameworks-5
  use_flags:
  - -doc
  - -test
  requires:
  - name: kcoreaddons
    version: '>=0'
    category: kde-frameworks-5
  - name: ki18n
    version: '>=0'
    category: kde-frameworks-5
  - name: libutempter
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Framework for pseudo terminal devices and running child processes
  uri:
  - https://kde.org/
  license: LGPL-2+
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.111:5
      doc? ( >=dev-qt/qthelp-5.11.1:5 >=app-doc/doxygen-1.8.13-r1 )
    DEPEND: '>=kde-frameworks/kcoreaddons-5.111:5 >=kde-frameworks/ki18n-5.111:5 sys-libs/libutempter
      dev-util/desktop-file-utils x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.11.1:5
      ) >=dev-qt/qtcore-5.11.1:5 doc? ( >=dev-qt/qt-docs-5.11.1:5 ) dev-util/desktop-file-utils'
    IUSE: debug doc test
    RDEPEND: '>=kde-frameworks/kcoreaddons-5.111:5 >=kde-frameworks/ki18n-5.111:5
      sys-libs/libutempter >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.111:5
      kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.11.1:5 doc? ( >=dev-qt/qt-docs-5.11.1:5
      )'
    emerge.packages: kde-frameworks/kpty:5
    kit: kde-kit
    original.package.name: kde-frameworks/kpty
    original.package.slot: "5"
    original.package.version: 5.111.0
